
/**
 * Initializers
 */
$j(document).ready(function ()
{

    $j('input, textarea')
            .on("validationError",
                    function ($event, $errorMessage)
                    {
                        $j(this).attr('title', $errorMessage);
                        if (!$j(this).data('tooltipsy'))
                        {
                            $j(this).tooltipsy({
                                css: {
                                    'position' : 'static'
                                },
                                showEvent: 'validationError'
                            });
                            $j(this).trigger("validationError", $errorMessage);
                        }
                    })
            .on("change", 
                    function ()
                    {
                        $j(this).removeAttr('title');
                        $j(this).removeData('tooltipsy');
                    });
                    

});